import Api from "~/service/Api"
import Pts from "../Common/Pts"

export default class Cctsel {
	constructor() {
		this.data = {
			selbut: {
				dspclsdat: "",			//  Label Closed		.selbut.dspclsdat
				dsppndram: "",			//  Display Number of Req. of Amendment		.selbut.dsppndram
				sptpenlab: "",			//  Label showing pending items stored for contract		.selbut.sptpenlab
				trnpenlab: "",			//  Label showing stored uncommited transactions for contract		.selbut.trnpenlab
				sptpenlab_descr: "",			//  Description for SPTPENLAB		.selbut.sptpenlab_descr
				trnpenlab_descr: "",			//  Description for TRNPENLAB		.selbut.trnpenlab_descr
			},
			dspbpd: "",			//  Display BPE Contract		.dspbpd
			dspbpdclsdat: "",			//  Display Closing Date of Advance		.dspbpdclsdat
			cfgfil: {
				bitmap: "",			//  Bitmap for folder		.cfgfil.bitmap
				regside1: "",			//  Regside		.cfgfil.regside1
				regside2: "",			//  Regside		.cfgfil.regside2
				regside3: "",			//  Regside		.cfgfil.regside3
				regside4: "",			//  Regside		.cfgfil.regside4
				regside5: "",			//  Regside		.cfgfil.regside5
				regside6: "",			//  Regside		.cfgfil.regside6
				regside7: "",			//  Regside		.cfgfil.regside7
				regside8: "",			//  Regside		.cfgfil.regside8
				regside9: "",			//  Regside		.cfgfil.regside9
				regside10: "",			//  Regside		.cfgfil.regside10
				regside11: "",			//  Regside		.cfgfil.regside11
				regside12: "",			//  Regside		.cfgfil.regside12
				subtxt1: "",			//  submenu text 1		.cfgfil.subtxt1
				subtxt2: "",			//  submenu text 2		.cfgfil.subtxt2
				subtxt3: "",			//  submenu text 3		.cfgfil.subtxt3
				subtxt4: "",			//  submenu text 4		.cfgfil.subtxt4
				subtxt5: "",			//  submenu text 5		.cfgfil.subtxt5
				subtxt6: "",			//  submenu text 6		.cfgfil.subtxt6
				subtxt7: "",			//  submenu text 7		.cfgfil.subtxt7
				subtxt8: "",			//  submenu text 8		.cfgfil.subtxt8
				subtxt9: "",			//  submenu text 9		.cfgfil.subtxt9
				subtxt10: "",			//  submenu text 10		.cfgfil.subtxt10
				subtxt11: "",			//  submenu text 11		.cfgfil.subtxt11
				regtxt1: "",			//  Register text 1		.cfgfil.regtxt1
				regtxt2: "",			//  Register text 2		.cfgfil.regtxt2
				regtxt3: "",			//  Register text 3		.cfgfil.regtxt3
				regtxt4: "",			//  Register text 4		.cfgfil.regtxt4
				regtxt5: "",			//  Register text 5		.cfgfil.regtxt5
				regtxt6: "",			//  Register text 6		.cfgfil.regtxt6
				regtxt7: "",			//  Register text 7		.cfgfil.regtxt7
				regtxt8: "",			//  Register text 8		.cfgfil.regtxt8
				regtxt9: "",			//  Register text 9		.cfgfil.regtxt9
				regtxt10: "",			//  Register text 10		.cfgfil.regtxt10
				regtxt11: "",			//  Register text 11		.cfgfil.regtxt11
				regtxt12: "",			//  Register text 12		.cfgfil.regtxt12
				hotsub1: "",			//  hotspot submenu 1		.cfgfil.hotsub1
				hotsub2: "",			//  hotspot submenu 1		.cfgfil.hotsub2
				hotsub3: "",			//  hotspot submenu 1		.cfgfil.hotsub3
				hotsub4: "",			//  hotspot submenu 1		.cfgfil.hotsub4
				hotsub5: "",			//  hotspot submenu 1		.cfgfil.hotsub5
				hotsub6: "",			//  hotspot submenu 1		.cfgfil.hotsub6
				hotsub7: "",			//  hotspot submenu 1		.cfgfil.hotsub7
				hotsub8: "",			//  hotspot submenu 1		.cfgfil.hotsub8
				hotsub9: "",			//  hotspot submenu 1		.cfgfil.hotsub9
				hotsub10: "",			//  hotspot submenu 1		.cfgfil.hotsub10
				hotsub11: "",			//  hotspot submenu 1		.cfgfil.hotsub11
				hotreg1: "",			//  hotspot reg1		.cfgfil.hotreg1
				hotreg2: "",			//  hotspot reg2		.cfgfil.hotreg2
				hotreg3: "",			//  hotspot reg3		.cfgfil.hotreg3
				hotreg4: "",			//  hotspot reg4		.cfgfil.hotreg4
				hotreg5: "",			//  hotspot reg5		.cfgfil.hotreg5
				hotreg6: "",			//  hotspot reg6		.cfgfil.hotreg6
				hotreg7: "",			//  hotspot reg7		.cfgfil.hotreg7
				hotreg8: "",			//  hotspot reg8		.cfgfil.hotreg8
				hotreg9: "",			//  hotspot reg9		.cfgfil.hotreg9
				hotreg10: "",			//  hotspot reg10		.cfgfil.hotreg10
				hotreg11: "",			//  hotspot reg11		.cfgfil.hotreg11
				hotreg12: "",			//  hotspot reg12		.cfgfil.hotreg12
				subtrn1: "",			//  Submenu trn 1		.cfgfil.subtrn1
				subtrn2: "",			//  Submenu trn 2		.cfgfil.subtrn2
				subtrn3: "",			//  Submenu trn 3		.cfgfil.subtrn3
				subtrn4: "",			//  Submenu trn 4		.cfgfil.subtrn4
				subtrn5: "",			//  Submenu trn 5		.cfgfil.subtrn5
				subtrn6: "",			//  Submenu trn 6		.cfgfil.subtrn6
				subtrn7: "",			//  Submenu trn 7		.cfgfil.subtrn7
				subtrn8: "",			//  Submenu trn 8		.cfgfil.subtrn8
				subtrn9: "",			//  Submenu trn 9		.cfgfil.subtrn9
				subtrn10: "",			//  Submenu trn 10		.cfgfil.subtrn10
				subtrn11: "",			//  Submenu trn 11		.cfgfil.subtrn11
			},
			recget: {
				sdamod: {
					seainf: "",			//  		.recget.sdamod.seainf
					dadsnd: "",			//  Drag  Drop Sender		.recget.sdamod.dadsnd
				},
			},
			clsflg: "",			//  Show closed Contract		.clsflg

			ledgrp: {
				rec: {
					ownref: "",			//  L/C Reference		.ledgrp.rec.ownref
					nam: "",			//  Externally Displayed Name to Identify the Contract		.ledgrp.rec.nam
					revflg: "",			//  Revolving Flag		.ledgrp.rec.revflg
					avbby: "",			//  Available by [AVBBY0]		.ledgrp.rec.avbby
					opndat: "",			//  Date Issued		.ledgrp.rec.opndat
					shpdat: "",			//  Shipment Date		.ledgrp.rec.shpdat
					expdat: "",			//  Date/Place of Expiry		.ledgrp.rec.expdat
					expplc: "",			//  Date/Place of Expiry		.ledgrp.rec.expplc
					lcrtyp: "",			//  Form of L/C		.ledgrp.rec.lcrtyp

				},
				cbs: {
					nom1: {
						cur: "",			//  L/C Amount		.ledgrp.cbs.nom1.cur
						amt: "",			//  Balance		.ledgrp.cbs.nom1.amt
					},
					opn1: {
						cur: "",			//  Open Amount		.ledgrp.cbs.opn1.cur
						amt: "",			//  Balance		.ledgrp.cbs.opn1.amt
					},
				},
				ben: {
					pts:""
					//pts: new Pts().data,
				},
				iss: {
					pts: new Pts().data,
				},
				apl: {
					pts: new Pts().data,
				},
				avbnam: "",			//  Available with		.ledgrp.avbnam

			},
			ccdgrp: {

				rec: {
					ownref: "",			//  Reference		.ccdgrp.rec.ownref
					nam: "",			//  Name of CC contract		.ccdgrp.rec.nam
					brchref: "",			//  Branch reference no.		.ccdgrp.rec.brchref
					rptbtchno: "",			//  Cash letter Batch No.		.ccdgrp.rec.rptbtchno
					chkdat: "",			//  Date of Draft		.ccdgrp.rec.chkdat
					ccform: "",			//  Form of Clean Coll.		.ccdgrp.rec.ccform
					purflg: "",			//  Payment disposition		.ccdgrp.rec.purflg
					modset: "",			//  Mode of settlement		.ccdgrp.rec.modset
					preref: "",			//  Presenter   Draft  Nb.		.ccdgrp.rec.preref
					prenam: "",			//  Presenter		.ccdgrp.rec.prenam
					droref: "",			//  Drawn on Bank Ref.		.ccdgrp.rec.droref
					dronam: "",			//  Drawn on Bank		.ccdgrp.rec.dronam
					colref: "",			//  Collecting Bank Ref .		.ccdgrp.rec.colref
					colnam: "",			//  Collecting Bank Name		.ccdgrp.rec.colnam
				},
				cbs: {
					max: {
						cur: "",			//  Document Amount		.ccdgrp.cbs.max.cur
						amt: "",			//  Document Amount		.ccdgrp.cbs.max.amt
					},
					opn1: {
						cur: "",			//  Open Amount		.ccdgrp.cbs.opn1.cur
						amt: "",			//  Open Amount		.ccdgrp.cbs.opn1.amt
					},
					nom1:{
						cur:"",
						amt:"",
					},
				},
				ben: {
					//pts:"",
					pts: new Pts().data,
				},
				iss: {
					pts: new Pts().data,
				},
				apl: {
					pts: new Pts().data,
				},
				avbnam: "",
			},
			cldgrp: {
				rec: {
					ownref: "",			//  Reference		.cldgrp.rec.ownref
					nam: "",			//  Name of CC contract		.cldgrp.rec.nam
					colref: "",			//  Coll.bank ref.		.cldgrp.rec.colref
					colptynam: "",			//  Col.bank name		.cldgrp.rec.colptynam
					credat: "",			//  Date of creation		.cldgrp.rec.credat
					count: "",			//  ITEM COUNT		.cldgrp.rec.count
					chktyp: "",			//  Type of Draft		.cldgrp.rec.chktyp
					colflg: "",			//  Payemnt Disposition		.cldgrp.rec.colflg
				},
				cbs: {
					max: {
						cur: "",			//  Document Amount		.cldgrp.cbs.max.cur
						amt: "",			//  Document Amount		.cldgrp.cbs.max.amt
					},
					opn1: {
						cur: "",			//  Currency		.cldgrp.cbs.opn1.cur
						amt: "",			//  Currency		.cldgrp.cbs.opn1.amt
					},
				},
			},
			cldget: {
				sdamod: {
					seainf: "",			//  		.cldget.sdamod.seainf
					dadsnd: "",			//  Drag  Drop Sender		.cldget.sdamod.dadsnd
				},
			},
			pageId: ""			// ctx的key
		}
	}
}