export default {
    "infcon.seaownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "infcon.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "infcon.searef":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],



    "infcon.pty.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 24,message:"长度不能超过24"}
    ],
    "infcon.pty.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "infcon.seapty":[
        {type: "string", required: false, message: "必输项"},
        {max: 24,message:"长度不能超过24"}
    ],


    "infcon.opndatfrom":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.opndatto":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],



    "infcon.seaamtfr":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "infcon.seaamtto":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],


    "infbut.dspstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],

    "recpan.recget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.rec.ownref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.recget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],
    "ledgrp.rec.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],


    "ledgrp.ben.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.benp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "recpan.usrget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.ben.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.benp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.ben.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.cbs.nom1.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],

    "ledgrp.ben.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.ben.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.rec.nomtop":[
        {type: "string", required: false, message: "必输项"},
        {max: 2,message:"长度不能超过2"}
    ],
    "ledgrp.rec.nomton":[
        {type: "string", required: false, message: "必输项"},
        {max: 2,message:"长度不能超过2"}
    ],
    "ledgrp.ben.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],




    "ledgrp.cbs.max.amt":[
        {type: "number", required: false, message: "必输项"},
        {max: 18,message:"整数位不能超过14位"},
        {pattern: /(^\d+$)|(^\.\d{1,3}$)|(^\d+\.\d{1,3}$)/, message: "小数位不能超过3位" }
    ],
    "ledgrp.iss.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.issp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.rec.opndat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ledgrp.rec.preadvdt":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ledgrp.iss.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.issp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.iss.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rec.shpdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ledgrp.rec.advdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ledgrp.iss.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.iss.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rec.expdat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "ledgrp.iss.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rec.expplc":[
        {type: "string", required: false, message: "必输项"},
        {max: 29,message:"长度不能超过29"}
    ],
    "ledgrp.apl.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.aplp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],

    "ledgrp.apl.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.aplp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.apl.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.rec.oppbnk":[
        {type: "string", required: false, message: "必输项"},
        {max: 12,message:"长度不能超过12"}
    ],
    "ledgrp.apl.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.apl.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.apl.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rec.apprultxt":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],









    "ledgrp.blk.mixdet":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "recpan.avbp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.avb.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.avbp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.avb.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.blk.avbwthtxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.avb.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.avb.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.avb.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.blk.preper":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rec.prepers18":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],


    "ledgrp.rec.prepertxts18":[
        {type: "string", required: false, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.blk.defdet":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.blk.feetxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.blk.dftat":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "recpan.drwp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.drw.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.drwp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.drw.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.drw.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.drw.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.drw.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.rec.shpfro":[
        {type: "string", required: false, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "ledgrp.rec.tenmaxday":[
        {type: "string", required: false, message: "必输项"},
        {max: 4,message:"长度不能超过4"}
    ],
    "ledgrp.rec.porloa":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "ledgrp.rec.pordis":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "ledgrp.rec.shpto":[
        {type: "string", required: false, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "ledgrp.blk.shpper":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],
    "ledgrp.adv.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.apb.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.advp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.apbp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.adv.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.advp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.apb.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.apbp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.adv.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.apb.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.adv.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.adv.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.apb.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.apb.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.adv.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.apb.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.a2b.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.rmb.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.a2bp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.rmbp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.a2b.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.a2bp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.rmb.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.rmbp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.a2b.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rmb.namelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.a2b.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.a2b.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rmb.pts.adrblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rmb.dbfadrblkcn":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.a2b.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],
    "ledgrp.rmb.adrelc":[
        {type: "string", required: true, message: "必输项"},
        {max: 35,message:"长度不能超过35"}
    ],

    "ledgrp.con.pts.ref":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.conp.ptsget.sdamod.dadsnd":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "ledgrp.con.pts.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 16,message:"长度不能超过16"}
    ],
    "recpan.conp.ptsget.sdamod.seainf":[
        {type: "string", required: false, message: "必输项"},
        {max: 3,message:"长度不能超过3"}
    ],

    "ledgrp.con.pts.nam":[
        {type: "string", required: false, message: "必输项"},
        {max: 40,message:"长度不能超过40"}
    ],

    "ledgrp.blk.lcrgod":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],


    "ledgrp.blk.lcrdoc":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],

    "ledgrp.blk.adlcnd":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],




    "ledgrp.blk.insbnk":[
        {type: "string", required: true, message: "必输项"},
        {max: 65,message:"长度不能超过65"}
    ],


    "mtabut.coninf.oitinf.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],


    "mtabut.coninf.oitset.oit.inftxt":[
        {type: "string", required: true, message: "必输项"},
        {max: 60,message:"长度不能超过60"}
    ],

    "mtabut.coninf.conexedat":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "mtabut.coninf.usr.extkey":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],


    "infcon.trnstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],


    "infcon.cbbstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "infcon.cbestm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],


    "infcon.fepstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],


    "infcon.fcpstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],



    "infcon.sepstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "infcon.seabucdatfro":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.seabucdatto":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.seatrninr":[
        {type: "string", required: false, message: "必输项"},
        {max: 8,message:"长度不能超过8"}
    ],
    "infcon.glestm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],


    "infcon.smhdatfrom":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.smhdatto":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],

    "infcon.smhstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],





    "infcon.sptstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "infcon.diadatfrom":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],
    "infcon.diadatto":[
        {type: "date", required: false, message: "输入正确的日期"}
    ],

    "infcon.diastm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "infcon.liastm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],
    "prtpanblk":[
        {type: "string", required: true, message: "必输项"},
        {max: 200,message:"长度不能超过200"}
    ],
    "infcon.ordstm":[
        {type: "string", required: false, message: "必输项"},
        {max: 1,message:"长度不能超过1"}
    ],

}