
/**
* Infltd Default规则
*/
import Api from "~/service/Api";
import Utils from "~/utils/index"

export default {
    "infcon.usr.extkey"                      :Utils.defaultFunction,
    "ltdgrp.cbs.nom1.cur"                      :Utils.defaultFunction,
    "ltdgrp.be1.pts.nam"                      :Utils.defaultFunction,
    "ltdgrp.cbs.nom1.amt"                      :Utils.defaultFunction,
    "ltdgrp.a2t.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.a2t.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.a2t.namelc"                      :Utils.defaultFunction,
    "ltdgrp.a2t.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.sptcor"                      :Utils.defaultFunction,
    "infcon.sptreg"                      :Utils.defaultFunction,
    "infcon.sptdel"                      :Utils.defaultFunction,
    "infcon.sptinc"                      :Utils.defaultFunction,
    "infcon.sptpen"                      :Utils.defaultFunction,
    "ltdgrp.avt.pts.adrblk"                      :Utils.defaultFunction,
    "infcon.seapty"                      :Utils.defaultFunction,
    "infcon.pty.extkey"                      :Utils.defaultFunction,
    "ltdgrp.rmt.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.rmt.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.rmt.namelc"                      :Utils.defaultFunction,
    "ltdgrp.rmt.dbfadrblkcn"                      :Utils.defaultFunction,
    "ltdgrp.rec.avbwth"                      :Utils.defaultFunction,
    "ltdgrp.blk.avbwthtxt"                      :Utils.defaultFunction,
    "ltdgrp.avt.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.avt.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.avt.namelc"                      :Utils.defaultFunction,
    "ltdgrp.avt.dbfadrblkcn"                      :Utils.defaultFunction,
    "infcon.fepfeecod"                      :Utils.defaultFunction,
    "infcon.fepdsp"                      :Utils.defaultFunction,
    "infcon.sepdelflg"                      :Utils.defaultFunction,
    "infcon.setflg"                      :Utils.defaultFunction,
    "infcon.smhdatfrom"                      :Utils.defaultFunction,
    "infcon.smhdir"                      :Utils.defaultFunction,
    "infcon.chktrn"                      :Utils.defaultFunction,
    "infcon.smhdatto"                      :Utils.defaultFunction,
    "infcon.smhcortyp"                      :Utils.defaultFunction,
    "ltdgrp.rec.nomtop"                      :Utils.defaultFunction,
    "ltdgrp.adt.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.adt.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.adt.namelc"                      :Utils.defaultFunction,
    "ltdgrp.adt.dbfadrblkcn"                      :Utils.defaultFunction,
    "ltdgrp.con.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.con.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.con.namelc"                      :Utils.defaultFunction,
    "ltdgrp.con.dbfadrblkcn"                      :Utils.defaultFunction,
    "ltdgrp.a2t.pts.adrblk"                      :Utils.defaultFunction,
    "ledgrp.iss.pts.nam"                      :Utils.defaultFunction,
    "ltdgrp.be2.pts.extkey"                      :Utils.defaultFunction,
    "ledgrp.rec.ownref"                      :Utils.defaultFunction,
    "recpan.aamp.aammod.addamtflg"                      :Utils.defaultFunction,
    "infbut.dspstm"                      :Utils.defaultFunction,
    "ltdgrp.rec.ownref"                      :Utils.defaultFunction,
    "ltdgrp.drw.pts.extkey"                      :Utils.defaultFunction,
    "ltdgrp.drw.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.drw.namelc"                      :Utils.defaultFunction,
    "ltdgrp.drw.dbfadrblkcn"                      :Utils.defaultFunction,
    "ltdgrp.rec.avbby"                      :Utils.defaultFunction,
    "recpan.usr.extkey"                      :Utils.defaultFunction,
    "ltdgrp.rec.rmbflg"                      :Utils.defaultFunction,
    "ltdgrp.be2.pts.adrblk"                      :Utils.defaultFunction,
    "mtabut.coninf.usr.extkey"                      :Utils.defaultFunction,
    "ltdgrp.be2.adrelc"                      :Utils.defaultFunction,
    "ltdgrp.be2.namelc"                      :Utils.defaultFunction,
    "ltdgrp.be2.dbfadrblkcn"                      :Utils.defaultFunction,
    "recpan.leltb2b.litb2bstm"                      :Utils.defaultFunction,
    "ltdgrp.adt.pts.adrblk"                      :Utils.defaultFunction,
    "infcon.seatrninr"                      :Utils.defaultFunction,
    "infcon.seabucdatto"                      :Utils.defaultFunction,
    "infcon.seabucdatfro"                      :Utils.defaultFunction,
    "ltdgrp.blk.preper"                      :Utils.defaultFunction,
    "ltdgrp.blk.preperflg"                      :Utils.defaultFunction,
    "ltdgrp.rec.opndat"                      :Utils.defaultFunction,
    "infcon.trnstm"                      :Utils.defaultFunction,
    "infcon.diasta"                      :Utils.defaultFunction,
    "infcon.diadatfrom"                      :Utils.defaultFunction,
    "infcon.diadatto"                      :Utils.defaultFunction,
    "ltdgrp.rec.shpdat"                      :Utils.defaultFunction,
    "ltdgrp.rec.expdat"                      :Utils.defaultFunction,
    "ltdgrp.rec.prepers18"                      :Utils.defaultFunction,
    "ledgrp.apl.pts.nam"                      :Utils.defaultFunction,
    "ltdgrp.rec.apprul"                      :Utils.defaultFunction,
    "ltdgrp.cbs.max.cur"                      :Utils.defaultFunction,
    "recpan.letp0.cnftxt"                      :Utils.defaultFunction,
    "infcon.fcpdsp"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitinf.oit.inflev"                      :Utils.defaultFunction,
    "ltdgrp.rmt.pts.adrblk"                      :Utils.defaultFunction,
    "mtabut.coninf.conexedat"                      :Utils.defaultFunction,
    "ltdgrp.be1.pts.extkey"                      :Utils.defaultFunction,
    "infcon.chksubcon"                      :Utils.defaultFunction,
    "infcon.chktrnsta"                      :Utils.defaultFunction,
    "ltdgrp.con.pts.adrblk"                      :Utils.defaultFunction,
    "infcon.cbctxt"                      :Utils.defaultFunction,
    "ledgrp.ben.pts.nam"                      :Utils.defaultFunction,
    "ltdgrp.rec.shppar"                      :Utils.defaultFunction,
    "ltdgrp.rec.shppars18"                      :Utils.defaultFunction,
    "ltdgrp.rec.shptrs"                      :Utils.defaultFunction,
    "ltdgrp.rec.shptrss18"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inftxt"                      :Utils.defaultFunction,
    "mtabut.coninf.oitset.oit.inflev"                      :Utils.defaultFunction,
    "ltdgrp.drw.pts.adrblk"                      :Utils.defaultFunction,
}
//你可以添加自动default处理
