import Api from "~/service/Api"
import Pts from "../Common/Pts"
import Pub from "~/model/Public";

export default class Lttdav{
    constructor () {
        this.data = {
						btdgrp:{
							rec:{
								ownref:"",			//  Document Reference		.btdgrp.rec.ownref
								advdat:"",			//  Payment advised on		.btdgrp.rec.advdat
								disdat:"",			//  Discrep. advised on		.btdgrp.rec.disdat
								dscinsflg:"",			//  Enter Docs, Discrep. and Instructions		.btdgrp.rec.dscinsflg
								docprbrol:"",			//  Presented by		.btdgrp.rec.docprbrol
								nam:"",			//  Name		.btdgrp.rec.nam
								advtyp:"",			//  Type of Advice		.btdgrp.rec.advtyp
								docsta:"",			//  Document Set Status		.btdgrp.rec.docsta
							},
							prb:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prb.namelc
								adrelc:"",			//  地址		.btdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prb.dbfadrblkcn
							},
							prp:{
								pts:new Pts().data,
								namelc:"",			//  名称		.btdgrp.prb.namelc
								adrelc:"",			//  地址		.btdgrp.prb.adrelc
								dbfadrblkcn:"",			//  Chinese address		.btdgrp.prb.dbfadrblkcn
							},
							be1:{
								pts:new Pts().data,
							},
							be2:{
								pts:new Pts().data,
							},
							blk:{
								intdis:"",			//  Internal Discrepancies		.btdgrp.blk.intdis
								comcon:"",			//  Comments and Conclusions		.btdgrp.blk.comcon
								setinsbt:"",			//  Settlement Instructions transaction field		.btdgrp.blk.setinsbt
								docdis:"",			//  Discrepancies		.btdgrp.blk.docdis
								docdisflg:"",			//  discrepancies modified		.btdgrp.blk.docdisflg
							},
						},
						bttp:{
							recget:{
								sdamod:{
									seainf:"",			//  		.bttp.recget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.recget.sdamod.dadsnd
								},
							},
							setnowflg:"",			//  setttle now		.bttp.setnowflg
							prbp:{
								ptsget:{
									sdamod:{
										seainf:"",			//  		.bttp.prbp.ptsget.sdamod.seainf
										dadsnd:"",			//  Drag  Drop Sender		.bttp.prbp.ptsget.sdamod.dadsnd
									},
								},
							},
							ledget:{
								sdamod:{
									seainf:"",			//  		.bttp.ledget.sdamod.seainf
								},
							},
							ltdget:{
								sdamod:{
									seainf:"",			//  		.bttp.ltdget.sdamod.seainf
									dadsnd:"",			//  Drag  Drop Sender		.bttp.ltdget.sdamod.dadsnd
								},
							},
							aammod:{
								addamtflg:"",			//  Add. Amount		.bttp.aammod.addamtflg
							},
							docgrdmbe1:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe1.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe1.docgrd
							},
							docgrdmbe2:{
								docdsclab:"",			//  Label of document description		.bttp.docgrdmbe2.docdsclab
								docgrd:[],			//  		.bttp.docgrdmbe2.docgrd
							},
							futhndflg:"",			//  further handling		.bttp.futhndflg
						},
						ledgrp:{
							rec:{
								ownref:"",			//  L/C Reference		.ledgrp.rec.ownref
								nam:"",			//  Name		.ledgrp.rec.nam
							},
						},
						ltdgrp:{
							rec:{
								ownref:"",			//  Transfer Reference		.ltdgrp.rec.ownref
								nam:"",			//  Name		.ltdgrp.rec.nam
								avbby:"",			//  Available by		.ltdgrp.rec.avbby
								opndat:"",			//  Date Issued/Form		.ltdgrp.rec.opndat
								lcrtyp:"",			//  Date Issued/Form		.ltdgrp.rec.lcrtyp
								expdat:"",			//  Date / Place of Expiry		.ltdgrp.rec.expdat
								expplc:"",			//  Date / Place of Expiry		.ltdgrp.rec.expplc
								shpdat:"",			//  Shipment Date		.ltdgrp.rec.shpdat
							},
							cbs:{
								nom1:{
									cur:"",			//  L/C Amount		.ltdgrp.cbs.nom1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.nom1.amt
								},
								opn1:{
									cur:"",			//  Open Amount		.ltdgrp.cbs.opn1.cur
									amt:"",			//  Balance		.ltdgrp.cbs.opn1.amt
								},
							},
							avbnam:"",			//  Available with		.ltdgrp.avbnam
						},
						setmod: new Pub().data.Setmod,
						mtabut: new Pub().data.Mtabut,
						trnmod: new Pub().data.Trnmod,
						liaall: new Pub().data.Liaall,
						pageId: ""			// ctx的key
				}
    }
}